Page MenuHomePhabricator

Enable all possible language pairs in cxserver, apply wiki specific configuration in the wiki
Closed, ResolvedPublic

Description

Currently cxserver has MT enable/disable configuration. For example, cxserver disabled MT for English target language to disable MT to en.wikipedia. The side effect is, the MT APIs of cxserver unnecessary impose this restrictions on API users.

Proposal: Let cxserver APIs run with its full potential. Disabling MT for english can be done in MW CX extension.

Details

Related Gerrit Patches:
operations/deployment-charts : masterUpdate cxserver to 2019-10-03-054958-production
operations/mediawiki-config : masterUse ContentTranslationEnableMT to disable MT
mediawiki/services/cxserver : masterOpen up all available language pairs for MT api
mediawiki/extensions/ContentTranslation : masterAdd configuration to disable MT services for a wiki

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2019, 10:17 AM
Sj added a subscriber: Sj.Sep 16 2019, 10:24 AM
Sj added a comment.Sep 16 2019, 10:31 AM

This would be great. Wiki policies shouldn't limit tool capabilities esp w.r.t. other tools.

Also ml output is extremely useful, even if different communities disagree on what it should be used for. Even strict local policy may want it available/visible to experienced editors + tool users for some purposes. So leaving config options directly in the hands of wiki admins seems fitting.

Pginer-WMF triaged this task as Medium priority.Sep 16 2019, 10:38 AM
Pginer-WMF moved this task from Needs Triage to Enhancements on the ContentTranslation board.
Petar.petkovic renamed this task from Enable all possible language pairs in cxserver, apply wiki specific confguration in the wiki to Enable all possible language pairs in cxserver, apply wiki specific configuration in the wiki.Sep 19 2019, 8:15 AM
Petar.petkovic updated the task description. (Show Details)

Change 538860 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Open up all available language pairs for MT api

https://gerrit.wikimedia.org/r/538860

Change 538861 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Add configuration to disable MT services for a wiki

https://gerrit.wikimedia.org/r/538861

Change 538867 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/mediawiki-config@master] Use ContentTranslationEnableMT to disable MT

https://gerrit.wikimedia.org/r/538867

Change 538861 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Add configuration to disable MT services for a wiki

https://gerrit.wikimedia.org/r/538861

Change 538860 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Open up all available language pairs for MT api

https://gerrit.wikimedia.org/r/538860

Change 540533 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2019-10-03-054958-production

https://gerrit.wikimedia.org/r/540533

Change 538867 merged by KartikMistry:
[operations/mediawiki-config@master] Use ContentTranslationEnableMT to disable MT

https://gerrit.wikimedia.org/r/538867

Mentioned in SAL (#wikimedia-operations) [2019-10-14T11:09:14Z] <kartik@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit|538867|Use ContentTranslationEnableMT to disable MT (T232986)]] (duration: 00m 51s)

Change 540533 merged by jenkins-bot:
[operations/deployment-charts@master] Update cxserver to 2019-10-03-054958-production

https://gerrit.wikimedia.org/r/540533

Mentioned in SAL (#wikimedia-operations) [2019-10-14T11:27:51Z] <kart_> Update cxserver to 2019-10-03-054958-production (T232986)

Jpita added a subscriber: Jpita.Oct 15 2019, 4:34 PM

@santhosh why does Google not show here

if it is available here https://cxserver.wikimedia.org/v2/list/mt/es/en?

Should this doc page be working correctly?
Right now it doesn't seem like it, the contents comes empty from the response.

@santhosh why does Google not show here

if it is available here https://cxserver.wikimedia.org/v2/list/mt/es/en?

Google need api keys and restricted only with some authentication. It is not a free service to expose here.

Should this doc page be working correctly?

Wrap it with some html tags like div or p

Right now it doesn't seem like it, the contents comes empty from the response.

Jpita closed this task as Resolved.Oct 23 2019, 12:24 PM